﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace Slider_TickTemplateAndSizeIssue
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		SliderValues sliderVals;
		public MainWindow()
		{
			InitializeComponent();
			sliderVals = new SliderValues();
			this.DataContext = sliderVals;
		}

		public class SliderValues : ViewModelBase
		{
			private double min;
			private double max;
			private double value;
			public SliderValues()
			{
				this.Min = 0;
				this.Max = 50;
				this.Value = 25;
			}



			public double Min
			{
				get
				{
					return this.min;
				}
				set
				{
					this.min = value;
					OnPropertyChanged("Min");
				}
			}

			public double Max
			{
				get
				{
					return this.max;
				}
				set
				{
					this.max = value;
					OnPropertyChanged("Max");
				}
			}

			public double Value
			{
				get
				{
					return this.value;
				}
				set
				{
					this.value = value;
					OnPropertyChanged("Value");
				}
			}
		}

		private void Button_Click(object sender, RoutedEventArgs e)
		{
			sliderVals.Value = 44;
		}
	}
}
